function x = tridiag_solve(alpha, beta, gamma, y)

n=length(alpha);

z = zeros(n,1);
z(1) = y(1);
for i=2:n
   z(i) = y(i) - z(i-1)*gamma(i);
end

x = zeros(n,1);
x(n) = z(n)/alpha(n);
for i=n-1:-1:1
   x(i) = (z(i) - x(i+1)*beta(i))/alpha(i);
end

